.video-wrapper {
  position: relative;
  width: 100%;
  height: 70vh;
  overflow: hidden;
}

/* video di sfondo */
.video-wrapper video {
  position: absolute;
  top: 50%;
  left: 50%;
  min-width: 100%;
  min-height: 100%;
  transform: translate(-50%, -50%);
  object-fit: cover;
}

/* overlay centrale */
.overlayvideo {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  
  background: rgba(255, 255, 255, 0.45); /* fondo semitrasparente */
  color: #fff;
  padding: 30px 50px;
  text-align: center;
  border-radius: 12px;

  z-index: 2;
}

.overlayvideo {
  backdrop-filter: blur(8px);
  -webkit-backdrop-filter: blur(8px);
}

.overlayvideo {
  width: 90%;
  max-width: 700px;
}

@media (max-width: 768px) {
  .video-wrapper {
    height: 50vh;
  }
}




/* Per video alone senza paragrafo superiore */

.video-wrapper-alone {
  width: 100%;
  overflow: hidden;
}

.video-wrapper-alone video {
  width: 100%;
  height: auto;
  display: block;
}






